Subject: Re: on linking gnu and msvc etc
From: [email-masked] (Paul Garceau)

25 Sep 1998 07:55:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi folks,

On 18 Sep 98, at 12:51, the Illustrious Jeffrey Russell Horner wrote:

To:             	Mumit Khan <[email-masked]>
Copies to:      	[email-masked]
Subject:        	Re: on linking gnu and msvc etc
Date sent:      	Fri, 18 Sep 1998 12:51:31 -0400
From:           	Jeffrey Russell Horner <[email-masked]>

> 
> >On Wed, 16 Sep 1998, Jeffrey Russell Horner wrote:
> >
> >[ on linking gnu and msvc etc ]
> >> 
> >> I don't know if this discussion is relevant to the list, but you can
> >> email me if you need more help.
> >
> >I believe this is very relevant, and quite in demand! Please share your
> >experiences and expecially the list of gotchas. I and lots of others will
> >appreciate it.
> >
> >Thanks in advance,
> >Mumit
> >
> 
> Okay, I've changed the name of the thread... hope there's no opposition.

> I've discovered many other things about compiling and linking objects on
> NT , and I am more than happy to share my experiences with the list.  But,
> I'm afraid that my email might get pretty lengthy when doing a complete
> brain dump, so let me know if you have more questions. I'd also be happy
> to share source code.

	Could you post them to the web and tell us where to find it?

A little background:

	I am one of those developers who is porting MSVC/C++ based Win32 
code to Gnu-Win32 using Mingw32 (currently EGCS-1.0.2)...I have no idea 
how many of us there are...

	My focus seems to be on getting the MS DX stuff to compile/build 
properly for a free 3d engine (CrystalSpace -- as a start) and expect to be 
porting, eventually, the Win32/Dx stuff to be integrated and buildable for all of 
the Gnu-Win32 (Mingw32) packages/tool sets (including Cygwin32).

	I don't seem to have the patience to dig through and convert MS headers, 
but I do have the patience to integrate/test pre-converted API sets for the Intel 
based Gnu-Win32 build environments/toolsets.  The 3D engine
(CrystalSpace: http://crystal.linuxgames.com/) seems to be an excellent test-
bed for such things.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".